Simulate Incoming Wire
curl --request POST \
--url https://api.sandbox.lead.bank/v1/simulate/wires/incoming \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"amount": 5000,
"creditor_account_number_id": "account_number_xyz123",
"debtor": {
"name": "Allan Scott",
"account_identifier": {
"type": "account_number",
"value": "1032345678"
},
"address": {
"line_one": "123 Main St",
"department": "Procurement Department",
"sub_department": "IT Procurement",
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"post_box": "PO Box 12345",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"town_location_name": "Westside North",
"district_name": "Manhattan",
"country_sub_division": "NY",
"country": "US",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"debtor_agent": {
"routing_number": "021000021"
},
"remittance_details": {
"message_to_creditor": "Payment for invoice 12345"
},
"payment_identifiers": {
"end_to_end_identification": "EndtoEnd12345"
}
}
'import requests
url = "https://api.sandbox.lead.bank/v1/simulate/wires/incoming"
payload = {
"amount": 5000,
"creditor_account_number_id": "account_number_xyz123",
"debtor": {
"name": "Allan Scott",
"account_identifier": {
"type": "account_number",
"value": "1032345678"
},
"address": {
"line_one": "123 Main St",
"department": "Procurement Department",
"sub_department": "IT Procurement",
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"post_box": "PO Box 12345",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"town_location_name": "Westside North",
"district_name": "Manhattan",
"country_sub_division": "NY",
"country": "US",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"debtor_agent": { "routing_number": "021000021" },
"remittance_details": { "message_to_creditor": "Payment for invoice 12345" },
"payment_identifiers": { "end_to_end_identification": "EndtoEnd12345" }
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 5000,
creditor_account_number_id: 'account_number_xyz123',
debtor: {
name: 'Allan Scott',
account_identifier: {type: 'account_number', value: '1032345678'},
address: {
line_one: '123 Main St',
department: 'Procurement Department',
sub_department: 'IT Procurement',
street_name: 'Main Street',
building_number: '100',
building_name: 'City Hall',
floor: '4th Floor',
post_box: 'PO Box 12345',
room: '600',
post_code: '12345',
town_name: 'Kansas City',
town_location_name: 'Westside North',
district_name: 'Manhattan',
country_sub_division: 'NY',
country: 'US',
line_two: 'Suite 100',
line_three: 'Kansas City, MO 64105'
}
},
debtor_agent: {routing_number: '021000021'},
remittance_details: {message_to_creditor: 'Payment for invoice 12345'},
payment_identifiers: {end_to_end_identification: 'EndtoEnd12345'}
})
};
fetch('https://api.sandbox.lead.bank/v1/simulate/wires/incoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Simulation
Simulate Incoming Wire
Simulate an incoming Wire.
POST
/
v1
/
simulate
/
wires
/
incoming
Simulate Incoming Wire
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Idempotency key
Maximum string length:
255Body
application/json
Request body to simulate an incoming wire.
The amount of the wire transaction in cents.
Required range:
1 <= x <= 990000000000Example:
5000
The ID of the creditor account number associated with the wire.
Pattern:
^account_number_\w+$Example:
"account_number_xyz123"
Details of the debtor sending funds.
Show child attributes
Show child attributes
Debtor Agent financial institution details.
Show child attributes
Show child attributes
Details of the remittance information for the wire.
Show child attributes
Show child attributes
Payment identifiers for the wire.
Show child attributes
Show child attributes
Response
Incoming Wire object created.
The response is of type object.
Was this page helpful?
⌘I

